<?php

namespace App\Http\Controllers\VoyagedifiantDashboard;

use App\Http\Controllers\Controller;
use App\Models\Chauffeur;
use Illuminate\Http\Request;

class formConducteurController extends Controller
{
   public function showformConducteur()
    {
        // $user = auth()->user();
        return view('page.formConducteur');
    }

    public function formConducteur(Request $request)
    {
        $validated = $request->validate([
            'name' => 'required|string|max:255',
            'image_urlc' => 'required|image|mimes:jpeg,png,jpg|max:2048',
            'telephone' => 'required|string|max:20',
        ]);

        // Gestion de l'image
        if ($request->hasFile('image_urlc')) {
            $path = $request->file('image_urlc')->store('chauffeurs', 'public');
            $validated['image_urlc'] = $path;
        }

        // Création du chauffeur
        Chauffeur::create($validated);

        // return redirect()->route('page.listeConducteur')->with('success', 'Chauffeur ajouté avec succès');
        // return redirect()->back()->with('success', 'Véhicule créé avec succès');
        return redirect()->route('listeConducteur')
           ->with('show_success_modal', true)
           ->with('modal_message', 'Le chauffeur a été créé avec succès !');
    }

}

